Subject: bug#14704: 24.3.50; cl-lib breaks built-in Emacs version

From: Sebastian Wiesner <[email-masked]>
Date: Mon, 24 Jun 2013 20:40:44 +0200

2013/6/24 Eli Zaretskii <[email-masked]>:
>> Date: Mon, 24 Jun 2013 19:51:20 +0200
>> From: Sebastian Wiesner <[email-masked]>
>> Cc: [email-masked]
>>
>> 2013/6/24 Juanma Barranquero <[email-masked]>:
>> > On Mon, Jun 24, 2013 at 5:30 PM, Sebastian Wiesner <[email-masked]> wrote:
>> >
>> >> This is the 3rd critical package.el bug I discovered within just a week
>> >> or so.  Don't you test your code?!
>> >
>> > If you want well-tested code, stay with Emacs official releases. If
>> > you compile from trunk, expect breakages, untested code and potential
>> > data loss. Caveat user.
>>
>> Who would test your code then before releases if not those who compile
>> from trunk?
>
> Each release is preceded by a long pretest period, when we are trying
> to collect usage experiences from as many different platforms and
> users as possible.

>> You developers obviously don't… and what is worse, you apparently do
>> even *care*.
>
> I don't think this is a fair comment.

I know.  I was upset by his comment, and I still am, but I should have
taken a deep breath before replying.  I meant no offense, and I am
sorry.

>> I am sorry that you do not know about CI, unit testing and software
>> quality, but I do, and thus I am horrified by the neglect and
>> ignorance you demonstrate in developing one of the most important
>> tools of my daily work.
>
> While more testing is always a good thing, some areas in Emacs are
> hard to test.

package.el isn't such an area.

> Please consider coming on board and moving Emacs closer to the CI ideals and testability.  TIA.

I am sorry, but I won't, for two reasons: Bazaar, and copyright assignments.